.Dd 2017-05-23
.Dt RB79-BAN-IP 1
.Os
.Sh NAME
.Nm rb79-ban-ip
.Nd ban an IP address 
.Pq or range
from posting temporarily
.Sh SYNOPSIS
.Nm
.Oo
.Fl i
.Ar individual-ip
.Oc
.Oo
.Fl f
.Ar first-ip
.Fl l
.Ar last-ip
.Oc
.Oo
.Fl m
.Ar ban-message
.Oc
.Oo
.Fl b
.Ar board-name
.Oc
.Oo
.Fl u
.Ar banned-until
.Oc
.Oo
.Fl s
.Oc
.Sh DESCRIPTION
.Nm
Inserts a ban into the global
.Pq or board-specific 
database which will affect either
.Ar individual-ip
or all IP addresses between
.Pq inclusive
.Ar first-ip
and
.Ar last-ip .
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl i
The IP address to ban, either in IPV4 or IPV6 format. This option is mutually exclusive with the
.Fl f ,
.Fl l
pair.
.It Fl f
The start of an IP address range to ban
.Pq inclusive ,
mutually exclusive with
.Fl i .
This option requires a matching
.Fl l .
.It Fl l
The end of an IP address range to ban
.Pq inclusive ,
mutually exclusive with
.Fl i .
This option requires a matching
.Fl f .
.It Fl m
The ban message to display. This may include HTML, as it dropped directly
.Pq without escaping
into a HTML page. If not specified, the ban message will be empty.
.It Fl u
The time, as a UTC timestamp, when the ban should expire. If not specified,
.Ar banned-until
defaults to the current timestamp, plus 604800 seconds
.Pq seven days .
.It Fl s
If set, don't display the end time on ban page.
.El
.Sh EXAMPLES
.Pp
.Dl % rb79-ban-ip -b m -f 100.0.0.0 -l 200.0.0.0 \e\ 
.Dl \& \& \& \& \& \& \& \& \& \& \& \& \& \& -u $(($(date +%s) + 600)) \e\ 
.Dl \& \& \& \& \& \& \& \& \& \& \& \& \& \& -m \*qcalm down\*q
.Pp
.Dl % rb79-ban-ip -i 127.0.0.1 -m 'You are the worst poster here.'
.Pp
.Dl % rb79-ban-ip -i 127.0.0.2 -u 9999999999999999 \e\ 
.Dl \& \& \& \& \& \& \& \& \& \& \& \& \& \& -m '<img src=\*q/misc/go-away.png\*q>'
.Pp
.Sh SEE ALSO
.Xr rb79 1
.Sh AUTHORS
.An De Rais Aq Mt derais@cock.li
